> For the complete documentation index, see [llms.txt](https://docs.zingg.ai/zingg/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.zingg.ai/zingg/connect-your-data/connect-cloud-warehouses/connect-exasol.md).

# Connect Exasol

Connect Zingg to Exasol using the Exasol Spark connector. Available in all editions.

### Prerequisites

1. Download the Exasol Spark connector assembled JAR (look for -assembly suffix).

`github.com/exasol/spark-connector/releases`

2. Add to `zingg.conf`.

```markdown
spark.jars = spark - connector_2 .12 - 1.3.0 - spark - 3.3.2 - assembly.jar
```

### Python API <a href="#json-config-4" id="json-config-4"></a>

```python
from zingg.client import *
from zingg.pipes import *

exasolInput = Pipe("input", "com.exasol.spark")
exasolInput.addProperty("host", "10.11.0.2")
exasolInput.addProperty("port", "8563")
exasolInput.addProperty("username", "sys")
exasolInput.addProperty("password", "exasol")
exasolInput.addProperty("query", "SELECT * FROM DB_SCHEMA.CUSTOMERS")
args.setData(exasolInput)

exasolOutput = Pipe("output", "com.exasol.spark")
exasolOutput.addProperty("host", "10.11.0.2")
exasolOutput.addProperty("port", "8563")
exasolOutput.addProperty("username", "sys")
exasolOutput.addProperty("password", "exasol")
exasolOutput.addProperty("create_table", "true")
exasolOutput.addProperty("table", "DB_SCHEMA.ENTITY_RESOLUTION")
args.setOutput(exasolOutput)
```

### JSON Config <a href="#json-config-4" id="json-config-4"></a>

{% hint style="success" icon="right-long" %}
The host parameter must be the first internal node IPv4 address. Full Exasol connector options: `github.com/exasol/spark-connector/blob/main/doc/user_guide/user_guide.md`
{% endhint %}

```json
{
  "data" : [ {
    "name" : "input",
    "format" : "com.exasol.spark",
    "props" : {
      "host" : "10.11.0.2",
      "port" : "8563",
      "username" : "sys",
      "password" : "exasol",
      "query" : "SELECT * FROM DB_SCHEMA.CUSTOMERS"
    }
  } ],
  "output" : [ {
    "name" : "output",
    "format" : "com.exasol.spark",
    "props" : {
      "host" : "10.11.0.2",
      "port" : "8563",
      "username" : "sys",
      "password" : "exasol",
      "create_table" : "true",
      "table" : "DB_SCHEMA.ENTITY_RESOLUTION"
    },
    "mode" : "Append"
  } ]
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.zingg.ai/zingg/connect-your-data/connect-cloud-warehouses/connect-exasol.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
